function extractData() {
	 $("#batchno").val('');   //批次号
	 $("#pname").val('');   //被保人全称
	 $("#claimno").val('');   //赔案号	
	 $("#claimState").val('');   //案件状态
	 $("input[name='startregdate']").val('');     //立案开始日期
	 $("input[name='endregdate']").val('');     //立案结束日期
	 $("input[name='startenddate']").val('');     //结案开始日期
	 $("input[name='endenddate']").val(''); 
	 
	 $("#claimStateSpan").attr("code","all").html("全部");
	 $("#claimState").val("all");
	 
	 $("#outsourcingProvider").val('');
	 alert("重置成功！");
}



function doSubmit() {
	
	var url = getRootPath() + "/epibolyModify/queryEpibolyAndCon.do" ;
	document.forms["form"].action = url;
	var flag = true;
	
	if (flag) {
		document.forms["form"].submit();
	} 
	
	
	
//	var param = {};
//	param.batchno = $("#batchno").val();;   //BPO批次号
//	param.pname = $("#pname").val();   //被保险人全称
//	param.claimno = $("#claimno").val();   //赔案号
//	param.startregdate = $("#startregdate")val();     //立案开始日期
//	param.endregdate = $("#endregdate").val();     //立案结束日期
//	param.startenddate = $("#startenddate").val();     //结案开始日期
//	param.endenddate = $("#endenddate").val();     //结案结束日期
//	param.claimState = $("#claimState").attr("code");   //案件状态
//	
//	$.ajax({
//		 type: "POST",  
//	     url: "queryEpibolyAndCon.do",
//	     data: param,
//		 //contentType:"application/json; charset=UTF-8",
//	     success:function(data){
//	    	 return;
//	     },error:function(data){
//	    	 return;
//	     }
//	});
	
	
	
	
	
	
}

function selClaimState(val){
	$("#claimState").val(val);
}

function go(){
	var url = getRootPath() + "/epibolyModify/excelEpiboly.do" ;
	document.forms["form"].action = url;
	document.forms["form"].submit();
}

//翻页
function cur_skip(s,e){
	var pn = $(e).find("span").html();
	var batchno = $("#batchno").val();   //批次号
	var pname = $("#pname").val();   //被保人全称
	var claimno = $("#claimno").val();   //赔案号	
	var claimState = $("#claimState").val();   //案件状态
	var startregdate = $("input[name='startregdate']").val();     //立案开始日期
	var endregdate = $("input[name='endregdate']").val();     //立案结束日期
	var startenddate = $("input[name='startenddate']").val();     //结案开始日期
	var endenddate = $("input[name='endenddate']").val();     //结案结束日期
	var outsourcingProvider=$("#outsourcingProvider").find("option:selected").val();//外包商
	if(s=="1"){
		SkipByPost("queryEpibolyAndCon.do", {
			pageNo : pn,
			batchno : batchno,
			pname : pname,
			claimno : claimno,
			claimState : claimState,
			startregdate : startregdate,
			endregdate : endregdate,
			startenddate : startenddate,
			endenddate : endenddate,
			outsourcingProvider:outsourcingProvider
		});
	}
	else if(s=="2"){
		SkipByPost("queryEpibolyAndCon.do",{pageNo:pn});
	}
	$(".turn_cur").removeAttr("class");
	$(e).find("span").attr("class","turn_cur");
}

//前一页
function pre(s,e){
	var cur = $("#nav").find(".turn_cur").html();
	var batchno = $("#batchno").val();   //批次号
	var pname = $("#pname").val();   //被保人全称
	var claimno = $("#claimno").val();   //赔案号
	var claimState = $("#claimState").val();   //案件状态
	var startregdate = $("input[name='startregdate']").val();     //立案开始日期
	var endregdate = $("input[name='endregdate']").val();     //立案结束日期
	var startenddate = $("input[name='startenddate']").val();     //结案开始日期
	var endenddate = $("input[name='endenddate']").val();     //结案结束日期
	var outsourcingProvider=$("#outsourcingProvider").find("option:selected").val();//外包商
	if(cur==1){
		return;
	}	
	if(cur>1){
	var pre = Number(cur)-Number(1);		
	if(s=="1"){
		SkipByPost("queryEpibolyAndCon.do", {
			pageNo : pre,
			batchno : batchno,
			pname : pname,
			claimno : claimno,
			claimState : claimState,
			startregdate : startregdate,
			endregdate : endregdate,
			startenddate : startenddate,
			endenddate : endenddate,
			outsourcingProvider:outsourcingProvider
		});
		}
		else if(s=="2"){
		SkipByPost("queryEpibolyAndCon.do",{pageNo:pre});
		}
	}
}
//下一页

function next(s,e){
	var cur = $("#nav").find(".turn_cur").html();
	var next = Number(cur)+Number(1);
	var maxPage = $("#max").val();
	var batchno = $("#batchno").val();   //批次号
	var pname = $("#pname").val();   //被保人全称
	var claimno = $("#claimno").val();   //赔案号
	var claimState = $("#claimState").val();   //案件状态
	var startregdate = $("input[name='startregdate']").val();     //立案开始日期
	var endregdate = $("input[name='endregdate']").val();     //立案结束日期
	var startenddate = $("input[name='startenddate']").val();     //结案开始日期
	var endenddate = $("input[name='endenddate']").val();     //结案结束日期
	var outsourcingProvider=$("#outsourcingProvider").find("option:selected").val();//外包商
	if(parseInt(cur)==parseInt(maxPage)){			
		return;
	}
	
	if(parseInt(cur)<parseInt(maxPage)){
		if(s=="1"){
			SkipByPost("queryEpibolyAndCon.do",{
				pageNo:next,
				batchno : batchno,
				pname : pname,
				claimno : claimno,
				claimState : claimState,
				startregdate : startregdate,
				endregdate : endregdate,
				startenddate : startenddate,
				endenddate : endenddate,
				outsourcingProvider:outsourcingProvider
				});
			}
			else if(s=="2"){
			SkipByPost("queryEpibolyAndCon.do",{pageNo:next});
			}
	}
}

//跳转至
function custom(s){		
	
	var maxPage = $("#max").val();
	var pn = $.trim($("#turn_inp").val());
	var batchno = $("#batchno").val();   //批次号
	var pname = $("#pname").val();   //被保人全称
	var claimno = $("#claimno").val();   //赔案号
	var claimState = $("#claimState").val();   //案件状态
	var startregdate = $("input[name='startregdate']").val();     //立案开始日期
	var endregdate = $("input[name='endregdate']").val();     //立案结束日期
	var startenddate = $("input[name='startenddate']").val();     //结案开始日期
	var endenddate = $("input[name='endenddate']").val();     //结案结束日期
	var outsourcingProvider=$("#outsourcingProvider").find("option:selected").val();//外包商

	if(isNaN(pn)){
		return ;
	}
	if(pn == "") {
		return;
	}
	if(Number(pn)==0){
		return;
	}	
	if(Number(pn) > Number(maxPage)){
		return;
	}	
	if(s=="1"){
		SkipByPost("queryEpibolyAndCon.do",{
			pageNo:Number(pn),
			batchno : batchno,
			pname : pname,
			claimno : claimno,
			claimState : claimState,
			startregdate : startregdate,
			endregdate : endregdate,
			startenddate : startenddate,
			endenddate : endenddate,
			outsourcingProvider:outsourcingProvider
			});
		}
		else if(s=="2"){
		SkipByPost("queryEpibolyAndCon.do",{pageNo:Number(pn)});
	}
}
//判断是否全选
function checkAll(flag1,flag2){
	if(flag2=="1"){//总开关
		if($(flag1).attr("class")=="check_no"){
			$("#endCaseListTbl tr:gt(0)").each(function (){
				$(this).find("span").attr("class","check_yes");
			});
		}else{
			$("#endCaseListTbl tr:gt(0)").each(function (){
				$(this).find("span").attr("class","check_no");
			});
		}
	}else{//子开关
		if($(flag1).attr("class")=="check_yes"){
			var bool=false;
			$("#endCaseListTbl tr:gt(0)").each(function (){
				if($(this).find("span").attr("class")=="check_no"){
					bool=true;
					return;
				}
			});
			if(!bool){
				$("#titSpan").attr("class","check_yes");
			}
		}else{
			$("#titSpan").attr("class","check_no");
		}
	}
}
//清空所有全选按钮选框
function clearChecked(){
	$("#endCaseListTbl tr").each(function (){
		$(this).find("span").attr("class","check_no");
	});
}
//结案批量发送保存数据
function batchSend_btn(mtype){
	var n=0;
	var objlist= new Array();
	$("#endCaseListTbl tr:gt(0)").each(function (){
		if($(this).find("span").attr("class")=="check_yes"){
			var obj = new Object();
			n++;
			var check=$(this).attr("id");
			var num="claimno_"+check;
			var claimNo=$("#"+num).val();
			obj.claimNo = claimNo;
			obj.mtype = mtype;
			objlist.push(obj);
		}
	});
	if(n==0){
		alert("请先选择赔案！");
		return;
	}		
	if(mtype=='4'){			
		var str=isSendAnyone_btn();
		if(str==0){
			return;
		}
	}
	$.ajax({
		type : "post",
		url : "savebatchendcase.do",
		data : JSON.stringify(objlist),
		contentType:"application/json; charset=UTF-8",
		error:function(){
			alert("操作失败！");
			return;
		},
		success:function(data){
			if(data.message =="success"){
				alert("操作成功！");
			}
			else{
				alert("操作失败！");	
			}
		}
	});		
}

//判断是否需要打印、发短信或发邮件
function isSendAnyone_btn(){
	var objlist= new Array();
	var isconfirm=1;
	$("#endCaseListTbl tr:gt(0)").each(function (){
		if($(this).find("span").attr("class")=="check_yes"){
			var obj = new Object();
			var check=$(this).attr("id");
			var num="claimno_"+check;
			var claimNo=$("#"+num).val();
			obj.claimNo = claimNo;
			objlist.push(obj);
		}
	});
	$.ajax({
		type : "post",
		url : "issenddate.do",
		data : JSON.stringify(objlist),
		contentType:"application/json; charset=UTF-8",
		async:false,
		error:function(){
			
		},
		success:function(data){
//			if(data == "0"){
//				if (confirm("是否需要发短信？") == true) {
//					isconfirm=1;
//				}
//			}
		}
	});	
	return isconfirm;		
}

